Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

feat: update ReviewDocumentRequest to allow set priority and enable validation #172

Merged

Conversation

gcf-owl-bot[bot]
Copy link
Contributor

@gcf-owl-bot gcf-owl-bot bot commented Jun 29, 2021

Committer: @busunkim96
PiperOrigin-RevId: 382142900

Source-Link: googleapis/googleapis@513440f

Source-Link: googleapis/googleapis-gen@7b1e2c3

feat: add always_use_jwt_access
feat: add the processor management methods
fix: disable always_use_jwt_access

@gcf-owl-bot gcf-owl-bot bot requested a review from as a code owner Jun 29, 2021
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run owlbot:run labels Jun 29, 2021
@product-auto-label product-auto-label bot added the api: documentai label Jun 29, 2021
@google-cla google-cla bot added the cla: yes label Jun 29, 2021
@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run label Jun 29, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jun 29, 2021
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run owlbot:run labels Jun 29, 2021
@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run label Jun 29, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jun 29, 2021
@parthea parthea changed the title chore: use gapic-generator-python 0.50.3 fix: disable always_use_jwt_access Jun 30, 2021
@parthea parthea added kokoro:run kokoro:force-run labels Jun 30, 2021
@yoshi-kokoro yoshi-kokoro removed kokoro:run kokoro:force-run labels Jun 30, 2021
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run owlbot:run labels Jun 30, 2021
@busunkim96 busunkim96 changed the title fix: disable always_use_jwt_access feat: add always_use_jwt_access Jun 30, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jun 30, 2021
@parthea parthea self-requested a review Jul 1, 2021
@parthea
Copy link
Contributor

@parthea parthea commented Jul 2, 2021

Hi @busunkim96 ,

The quickstart sample test is failing due to an auth issue . Please can you take a look?

_______________________________ test_quickstart ________________________________

args = (input_config {
  gcs_source {
    uri: "gs://cloud-samples-data/documentai/invoice.pdf"
  }
  mime_type: "application/pdf"
}
parent: "projects/python-docs-samples-tests/locations/us"
,)
kwargs = {'metadata': [('x-goog-request-params', 'parent=projects/python-docs-samples-tests/locations/us'), ('x-goog-api-client', 'gl-python/3.6.13 grpc/1.38.1 gax/1.30.0 gapic/0.5.0')]}

    @six.wraps(callable_)
    def error_remapped_callable(*args, **kwargs):
        try:
>           return callable_(*args, **kwargs)

.nox/py-3-6/lib/python3.6/site-packages/google/api_core/grpc_helpers.py:67:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <grpc._channel._UnaryUnaryMultiCallable object at 0x7f81019762b0>
request = input_config {
  gcs_source {
    uri: "gs://cloud-samples-data/documentai/invoice.pdf"
  }
  mime_type: "application/pdf"
}
parent: "projects/python-docs-samples-tests/locations/us"

timeout = None
metadata = [('x-goog-request-params', 'parent=projects/python-docs-samples-tests/locations/us'), ('x-goog-api-client', 'gl-python/3.6.13 grpc/1.38.1 gax/1.30.0 gapic/0.5.0')]
credentials = None, wait_for_ready = None, compression = None

    def __call__(self,
                 request,
                 timeout=None,
                 metadata=None,
                 credentials=None,
                 wait_for_ready=None,
                 compression=None):
        state, call, = self._blocking(request, timeout, metadata, credentials,
                                      wait_for_ready, compression)
>       return _end_unary_response_blocking(state, call, False, None)

.nox/py-3-6/lib/python3.6/site-packages/grpc/_channel.py:946:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

state = <grpc._channel._RPCState object at 0x7f8101976710>
call = <grpc._cython.cygrpc.SegregatedCall object at 0x7f8101a58048>
with_call = False, deadline = None

    def _end_unary_response_blocking(state, call, with_call, deadline):
        if state.code is grpc.StatusCode.OK:
            if with_call:
                rendezvous = _MultiThreadedRendezvous(state, call, None, deadline)
                return state.response, rendezvous
            else:
                return state.response
        else:
>           raise _InactiveRpcError(state)
E           grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with:
E           	status = StatusCode.UNAUTHENTICATED
E           	details = "Request had invalid authentication credentials. Expected OAuth 2 access token, login cookie or other valid authentication credential. See https://developers.google.com/identity/sign-in/web/devconsole-project."
E           	debug_error_string = "{"created":"@1625094006.964720942","description":"Error received from peer ipv4:74.125.20.95:443","file":"src/core/lib/surface/call.cc","file_line":1066,"grpc_message":"Request had invalid authentication credentials. Expected OAuth 2 access token, login cookie or other valid authentication credential. See https://developers.google.com/identity/sign-in/web/devconsole-project.","grpc_status":16}"
E           >

.nox/py-3-6/lib/python3.6/site-packages/grpc/_channel.py:849: _InactiveRpcError

The above exception was the direct cause of the following exception:

capsys = <_pytest.capture.CaptureFixture object at 0x7f81018f6c50>

    def test_quickstart(capsys):
>       quickstart_v1beta2.main(PROJECT_ID, INPUT_URI)

quickstart_v1beta2_test.py:25:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
quickstart_v1beta2.py:43: in main
    document = client.process_document(request=request)
../../google/cloud/documentai_v1beta2/services/document_understanding_service/client.py:477: in process_document
    response = rpc(request, retry=retry, timeout=timeout, metadata=metadata,)
.nox/py-3-6/lib/python3.6/site-packages/google/api_core/gapic_v1/method.py:145: in __call__
    return wrapped_func(*args, **kwargs)
.nox/py-3-6/lib/python3.6/site-packages/google/api_core/retry.py:290: in retry_wrapped_func
    on_error=on_error,
.nox/py-3-6/lib/python3.6/site-packages/google/api_core/retry.py:188: in retry_target
    return target()
.nox/py-3-6/lib/python3.6/site-packages/google/api_core/grpc_helpers.py:69: in error_remapped_callable
    six.raise_from(exceptions.from_grpc_error(exc), exc)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

value = None
from_value = <_InactiveRpcError of RPC that terminated with:
	status = StatusCode.UNAUTHENTICATED
	details = "Request had invalid a...entication credential. See https://developers.google.com/identity/sign-in/web/devconsole-project.","grpc_status":16}"
>

>   ???
E   google.api_core.exceptions.Unauthenticated: 401 Request had invalid authentication credentials. Expected OAuth 2 access token, login cookie or other valid authentication credential. See https://developers.google.com/identity/sign-in/web/devconsole-project.

<string>:3: Unauthenticated

@trusted-contributions-gcf trusted-contributions-gcf bot added the kokoro:force-run label Jul 3, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jul 3, 2021
@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run label Jul 3, 2021
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run owlbot:run labels Jul 8, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jul 8, 2021
@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run label Jul 8, 2021
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run owlbot:run labels Jul 8, 2021
@busunkim96 busunkim96 changed the title feat: add always_use_jwt_access feat: update ReviewDocumentRequest to allow set priority and enable validation Jul 8, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jul 8, 2021
@busunkim96
Copy link
Collaborator

@busunkim96 busunkim96 commented Jul 8, 2021

Opened #174 to track enable self-signed JWT when the default host issue is sorted out.

@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run label Jul 8, 2021
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run owlbot:run labels Jul 8, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run label Jul 8, 2021
@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run label Jul 8, 2021
@busunkim96
Copy link
Collaborator

@busunkim96 busunkim96 commented Jul 8, 2021

@parthea Could you review the changes to owlbot.py? Thanks!

@busunkim96 busunkim96 assigned parthea and unassigned busunkim96 Jul 8, 2021
@parthea parthea added the automerge label Jul 10, 2021
@gcf-merge-on-green gcf-merge-on-green bot merged commit 35e3b74 into master Jul 10, 2021
10 checks passed
@gcf-merge-on-green gcf-merge-on-green bot deleted the owl-bot-d903399b-d0e6-40a4-bf01-5241b8dbfaec branch Jul 10, 2021
@gcf-merge-on-green gcf-merge-on-green bot removed the automerge label Jul 10, 2021
gcf-merge-on-green bot pushed a commit that referenced this issue Jul 26, 2021
🤖 I have created a release \*beep\* \*boop\*
---
## [1.0.0](https://www.github.com/googleapis/python-documentai/compare/v0.5.0...v1.0.0) (2021-07-26)


### Features

* add always_use_jwt_access ([35e3b74](https://www.github.com/googleapis/python-documentai/commit/35e3b74474719ef22449fbcb4772e6d381e80874))
* add the processor management methods ([35e3b74](https://www.github.com/googleapis/python-documentai/commit/35e3b74474719ef22449fbcb4772e6d381e80874))
* bump release level to production/stable ([#151](https://www.github.com/googleapis/python-documentai/issues/151)) ([1e6b470](https://www.github.com/googleapis/python-documentai/commit/1e6b470673c4ff71f0f49c11825cb408d1929a88))
* Move CommonOperationMetadata for potential reuse ([#157](https://www.github.com/googleapis/python-documentai/issues/157)) ([a1a92b2](https://www.github.com/googleapis/python-documentai/commit/a1a92b20cc6afa80434a00a90690f1470ed48353))
* update ReviewDocumentRequest to allow set priority and enable validation ([#172](https://www.github.com/googleapis/python-documentai/issues/172)) ([35e3b74](https://www.github.com/googleapis/python-documentai/commit/35e3b74474719ef22449fbcb4772e6d381e80874))
* **v1beta3:** update document.proto, add the processor management methods ([#160](https://www.github.com/googleapis/python-documentai/issues/160)) ([54bc0e9](https://www.github.com/googleapis/python-documentai/commit/54bc0e9c70046bb411dafd53d98c501676585aaf))
* **v1:** Move CommonOperationMetadata into a separate file for potential reuse ([#158](https://www.github.com/googleapis/python-documentai/issues/158)) ([c309f8f](https://www.github.com/googleapis/python-documentai/commit/c309f8f6f88e0308677fc68a7825b3eac7b57627))


### Bug Fixes

* **deps:** add packaging requirement ([#162](https://www.github.com/googleapis/python-documentai/issues/162)) ([f09f807](https://www.github.com/googleapis/python-documentai/commit/f09f8075a3b76fe0d226afa955dae170117df0d0))
* **deps:** pin 'google-{api,cloud}-core', 'google-auth' to allow 2.x versions ([#180](https://www.github.com/googleapis/python-documentai/issues/180)) ([8eab36e](https://www.github.com/googleapis/python-documentai/commit/8eab36e8ff8616ccfdfd4c4149265030bab45d19))
* disable always_use_jwt_access ([35e3b74](https://www.github.com/googleapis/python-documentai/commit/35e3b74474719ef22449fbcb4772e6d381e80874))
* enable self signed jwt for grpc ([#184](https://www.github.com/googleapis/python-documentai/issues/184)) ([1e35b42](https://www.github.com/googleapis/python-documentai/commit/1e35b42739f36d7e1f19528299dac40de5b0cca4))
* exclude docs and tests from package ([#159](https://www.github.com/googleapis/python-documentai/issues/159)) ([1325677](https://www.github.com/googleapis/python-documentai/commit/132567742a2a9927665ed46278952815088ccafc))


### Documentation

* omit mention of Python 2.7 in 'CONTRIBUTING.rst' ([#1127](https://www.github.com/googleapis/python-documentai/issues/1127)) ([#164](https://www.github.com/googleapis/python-documentai/issues/164)) ([baba888](https://www.github.com/googleapis/python-documentai/commit/baba888184d6cc872e048aefd52b14d2486c553f))
* add Samples section to CONTRIBUTING.rst ([#181](https://www.github.com/googleapis/python-documentai/issues/181)) ([b0f4c7a](https://www.github.com/googleapis/python-documentai/commit/b0f4c7ab32d7b864eade29e44efc1b51c80fb3e1))
---


This PR was generated with [Release Please](https://github.com/googleapis/release-please). See [documentation](https://github.com/googleapis/release-please#release-please).
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
api: documentai cla: yes owl-bot-copy
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants